=== release 0.10.31 ===

2012-02-21  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  releasing 0.10.31, "Faster"

2012-02-20 12:22:12 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtph264pay.c:
	  rtph264pay: force baseline profile is profile-level-id is unspecified
	  If profile-level-id is missing or invalid, we want any upstream
	  encoder to default to baseline profile, so specify that in the
	  caps we pass upstream. If the caps contain no profile restriction,
	  an encoder may default to high or main profile.

2012-02-17 17:21:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/equalizer/gstiirequalizer.c:
	  equalizer: fix switching from passthrough to non-passthrough when parameters change
	  commit b5bf0294 moved the if(need_new_coefficients) set_passthrough(equ)
	  after the if(is_passthrough) return FLOW_OK shortcut, so the passthrough
	  mode would never get updated even if the coefficients change.
	  Fixes equalizer-test doing .. nothing.

2012-02-16 17:14:20 +0800  Gary Ching-Pang Lin <chingpang@gmail.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2src: failure to query some optional controls is not a fatal error
	  Don't post a (fatal) error message on the bus just because we
	  failed to query some control. Fixes issue with built-in
	  Suyin Corp webcam for HP notebook (usbid 064e:e28a) on
	  OpenSuse 12.1, where querying red/blue balance fails.
	  https://bugzilla.gnome.org/show_bug.cgi?id=670197

2012-02-16 12:59:10 +0000  Tuukka Pasanen <tuukka.pasanen@ilmi.fi>

	* sys/v4l2/v4l2_calls.c:
	  v4l2src: fix for webcamstudio vloopback
	  Because vlooback emits 25 - ENOTTY and no EINVAL v4l2src thought it
	  can't handle this and does not work.
	  https://bugzilla.gnome.org/show_bug.cgi?id=669455

2012-02-13 12:06:37 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/flacparse.c:
	  tests: flacparse: check and compare intended data

2012-02-09 22:12:14 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/mpegaudioparse.c:
	  tests: mpegaudioparse: remove stray declaration

2012-02-09 10:11:48 +0100  Marc Leeman <marc.leeman@gmail.com>

	* gst/udp/gstmultiudpsink.c:
	  multiudpsink: typo fix (bytes send -> bytes sent)

2012-02-07 14:10:44 -0800  Ralph Giles <giles@mozilla.com>

	* ext/shout2/gstshout2.c:
	  shout2send: send video/webm through libshout.
	  This requires SHOUT_FORMAT_WEBM, added in libshout 2.3.0,
	  so video/webm support is contingent on that symbol being
	  defined.
	  Also an indentation change required by the pre-commit hook.
	  https://bugzilla.gnome.org/show_bug.cgi?id=669590

2012-01-28 11:13:16 +0100  Nicola Murino <nicola.murino@gmail.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: avoid posting invalid duration for each frame
	  https://bugzilla.gnome.org/show_bug.cgi?id=666583

2012-02-05 13:40:13 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.30.3 pre-release

2012-02-03 22:05:59 +0530  Arun Raghavan <arun.raghavan@collabora.co.uk>

	* ext/pulse/plugin.c:
	  pulseaudiosink: Lower rank to prevent autoplugging
	  pulseaudiosink breaks visualisations in its current form, so let's
	  prevent it from being autoplugged for the time being.
	  The best we can hope to do in the 0.10 series is query the list of
	  available sinks and their formats, and expose these as the bin's sinkpad
	  caps. While this is not a comprehensive solution, it will make sure that
	  we're only trying to support compressed formats if we're certain that
	  one exists.
	  The long-term fix for this will be in the form of proper upstream
	  renegotiation support in the 0.11/1.0 series.
	  https://bugzilla.gnome.org/show_bug.cgi?id=666361

2012-02-03 14:53:31 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/flac/gstflacenc.c:
	  flacenc: fix event leak when there is no peer on the src pad

2012-02-02 12:27:09 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/flv/gstflvmux.c:
	  flvmux: specify we only accept raw AAC in template caps
	  No header seems to be added, and the codec ID is the same as used
	  for raw by flvdemux, so raw seems the only supported case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=665394

2012-02-02 12:25:21 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/flv/gstflvdemux.c:
	  flvdemux: specify we only output raw AAC in template caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=665394

2012-01-30 14:52:37 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtpmp2tpay.c:
	  rtpmp2tpay: do not try to flush a packet when no data is available
	  https://bugzilla.gnome.org/show_bug.cgi?id=668874

2010-06-11 08:36:33 +0200  Pascal Buhler <pascal.buhler@tandberg.com>

	* gst/rtp/gstrtph264depay.c:
	  rtph264depay: Exclude NALu size from payload length on truncated packets.
	  https://bugzilla.gnome.org/show_bug.cgi?id=667846

2012-01-28 13:05:09 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: avoid wrapping opaque to transparent

2012-01-25 15:21:44 +0000  Jayakrishnan M <jay.krishnanm@gmail.com>

	* ext/cairo/Makefile.am:
	  cairo: fix build, make sure libgstvideo can be found
	  https://bugzilla.gnome.org/show_bug.cgi?id=668648

2012-01-25 13:19:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtpmanager/rtpsession.c:
	  rtpmanager: don't pretend our random hostnames are fully-qualified domain names

2012-01-23 13:15:46 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtpmanager/rtpsession.c:
	  rtpmanager: don't reveal the user's username, hostname or real name by default
	  Send a randomly made-up user@hostname as CNAME and don't
	  send a NAME at all by default.
	  https://bugzilla.gnome.org/show_bug.cgi?id=668320

2012-01-20 17:06:42 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: simplify internal src event debug logging
	  ... which avoids almost superfluous obtaining of rtsp element.

2012-01-20 17:03:50 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: avoid NULL string comparison

2012-01-20 17:02:15 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/rtp/gstrtpmp4adepay.c:
	  rtpmp4adepay: prevent out-of-bound array access

2012-01-20 17:01:37 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/isomp4/atomsrecovery.c:
	  isomp4: recovery: add sanity check
	  ... on possibly bogus/corrupt input data.

2012-01-20 16:58:28 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroska-demux: remove redundant variable

2012-01-20 16:57:52 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: fix arithmetic for unsigned comparison

2012-01-20 16:55:06 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: add various missing break

2012-01-20 16:49:14 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/alpha/gstalphacolor.c:
	  alphacolor: remove redundant statement

2012-01-20 16:48:49 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: improve upstream peer duration querying
	  ... to avoid accepting unhandled duration query result.

2012-01-20 16:47:36 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/pulse/pulsesrc.c:
	  pulsesrc: additional error condition checking

2012-01-20 16:46:21 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/pulse/pulsesink.c:
	  pulsesink: additional error condition checking

2012-01-20 16:44:21 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/jpeg/gstjpegenc.c:
	  jpegenc: check _alloc_buffer result and perform fallback alloc if needed
	  ... rather than carrying on with NULL buffer.

2012-01-13 18:11:36 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/pulse/pulsesrc.c:
	  pulsesrc: fix wrong error check
	  pa_stream_* functions return negative on error, despite the defines
	  for error codes being positive.
	  I only got to repro the error twice, so I'm not sure 100% sure this
	  fixes the issue (the negative var being uninitialized after returning
	  from pa_stream_get_latency).

2012-01-16 17:51:18 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/cutter/gstcutter.c:
	  cutter: fix leak of unused GValue

2012-01-16 16:10:08 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* tests/check/elements/autodetect.c:
	  tests: fix autodetect test not testing correctly for state change success
	  State change to PAUSED can be done async, so if this happens, we need
	  to wait for the change to be done (or failed).

2012-01-16 15:42:46 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtp/gstrtph263ppay.c:
	  rtph263ppay: fix caps leak

2012-01-16 12:13:50 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: make interlacedness test deterministic
	  If the interlaced flag is not present in the caps, we assume the
	  data is not interlaced, instead of leaving the boolean uninitialized.

2012-01-13 17:43:49 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/oss4/oss4-sink.c:
	* sys/oss4/oss4-source.c:
	  oss4: fix caps leaks

2012-01-13 17:25:59 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/v4l2/gstv4l2src.c:
	  v4l2src: fix caps leak

2012-01-13 15:57:20 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* tests/check/elements/videocrop.c:
	  tests: fix caps leak in videocrop test

2012-01-13 10:32:59 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/rtpmanager/gstrtpptdemux.c:
	  rtpptdemux: plug pad leak in error code path
	  Based on patch by: Stig Sandnes <stig.sandnes@cisco.com>
	  Don't leak srcpad if there are no caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=667820

2011-10-04 10:00:02 +0200  Stig Sandnes <stigsand@cisco.com>

	* sys/osxvideo/cocoawindow.m:
	  osxvideo: Fix leak of NSOpenGLPixelFormat object
	  https://bugzilla.gnome.org/show_bug.cgi?id=667818

2011-09-05 10:43:19 +0200  Havard Graff <havard.graff@tandberg.com>

	* sys/v4l2/gstv4l2src.c:
	  v4l2src: Don't assert when the interface is not implemented.
	  Simply return FALSE instead.
	  https://bugzilla.gnome.org/show_bug.cgi?id=667817

2012-01-12 00:18:39 +0200  Raimo Järvi <raimo.jarvi@gmail.com>

	* sys/waveform/gstwaveformsink.c:
	* sys/waveform/gstwaveformsink.h:
	  waveformsink: Fix mingw warnings
	  https://bugzilla.gnome.org/show_bug.cgi?id=667719

2012-01-12 18:23:42 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	  gstrtpssrcdemux: fix element leak

2012-01-12 14:19:22 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-read-common.c:
	  matroska: do not leak attachment buffers

2012-01-12 10:30:11 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/flac/gstflacenc.c:
	  flacenc: do not drop the first data buffer on the floor (and leak it either)

2012-01-11 18:45:33 -0300  Reynaldo H. Verdejo Pinochet <reynaldo@collabora.com>

	* Android.mk:
	  Temporarily disabling multifile for the Android build
	  There is a hard dependency on inotify comming from gio. We
	  are not currently bundling inotify with the Android dist so
	  I'm disabling multifile for now until someone gets around
	  to sort this out.
	  This change fixes building on Android

2012-01-11 01:45:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/pipelines/wavenc.c:
	  tests: fix wavenc test on big endian
	  wavenc only accepts little-endian PCM, but most of our
	  elements such as audiotestsrc only produce or process
	  audio in native endianness, so we need to plug a
	  converter before wavenc on big endian systems.

2012-01-05 19:25:33 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/gstqtmux.c:
	  isomp4: fix caps leak

2012-01-05 19:08:03 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/isomp4/gstqtmux.c:
	  isomp4: remove dead assignment

2012-01-04 19:40:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 11f0cd5 to cb5da59

2012-01-04 17:59:55 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/qtmux.c:
	  tests: fix some leaks and remove files when done in qtmux test

2011-12-14 10:14:20 +0100  Peter Seiderer <ps.report@gmx.net>

	* gst/multifile/gstmultifilesink.c:
	  multifilesink: post better error message when we run out of disk space
	  Map write errno ENOSPC to GST_RESOURCE_ERROR_NO_SPACE_LEFT.

2011-12-27 11:50:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/udp/gstudpsrc.c:
	  udpsrc: fix valgrind warning
	  https://bugzilla.gnome.org/show_bug.cgi?id=666644

2011-12-21 13:22:03 +0100  John Ogness <john.ogness@linutronix.de>

	* gst/udp/gstudpsrc.c:
	  udpsrc: drop dataless UDP packets
	  It is allowed to send/receive UDP packets with no data. When such
	  a packet is available, select() will return with success but
	  ioctl(FIONREAD) will return 0. But a read() must still occur in
	  order to clear off the UDP packet from the queue.
	  This patch will read the dataless packet from the socket. If
	  select() was woken for other reasons (and FIONREAD returns 0),
	  this may result in a UDP packet getting accidentally dropped.
	  But since UDP is not reliable, this is acceptable.
	  NOTE: This patch fixes a nasty bug where sending a dataless
	  UDP packet to a udpsrc instance will cause an infinite
	  loop.
	  https://bugzilla.gnome.org/show_bug.cgi?id=666644
	  Signed-off-by: John Ogness <john.ogness@linutronix.de>

2011-12-21 20:50:21 +0100  Nicola Murino <nicola.murino@gmail.com>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: fix peer_caps leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=666688

2011-12-25 14:23:29 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/flv/gstflvmux.c:
	  flvmux: don't try to push already-freed buffers
	  Fixes unit test.

2011-09-09 11:42:09 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/audioparsers/gstac3parse.c:
	  ac3parse: let bsid 9 and 10 through
	  Files with 9 and 10 happen, and seem to comply with the <= 8
	  format, so let them through.
	  The spec says nothing about 9 and 10.
	  https://bugzilla.gnome.org/show_bug.cgi?id=658546

2011-12-16 19:15:38 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/flv/gstflvmux.c:
	  flvmux: properly determine final duration
	  ... which can be authoratively obtained from our own written timestamps.

2011-12-19 13:56:30 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/flv/gstflvmux.c:
	  flvmux: only write full metadata at start
	  ... rather than having (potentially) unnecessary duplicates written all over,
	  or even contradictory varying filesize info, or duration info that will not
	  be rewritten upon header rewrite.

2011-12-21 17:43:10 +0100  Branko Subasic <branko@axis.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-demux.h:
	  matroskademux: do not consider duration of non-finalized file
	  ... to avoid it clamping requested seek position.
	  Non-finalized file case, determined by whether
	  _parse_blockgroup_or_simpleblock ever updates the segment duration.
	  Fixes #652195.

2011-12-21 15:06:57 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: improve decision to fall back to scanning when seeking
	  ... which is basically iff not streaming and no entry found in index

2011-12-13 18:18:45 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-read-common.c:
	  matroskademux: filter bogus index entries with missing block number
	  ... to avoid contradictory information resulting in seeks sending more
	  downstream than needed for the corresponding segment.

2011-12-13 18:15:18 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: cater for safer arithmetic with global start time

2011-12-13 17:02:01 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: tweak final closing segment sending
	  ... to avoid it interfering with (sparse) stream syncing.

2011-12-12 11:54:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/gst/glib-compat-private.h:
	  glib-compat: Add license boilerplate for LGPL

2011-12-12 15:15:46 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: mind (un)signed in some timestamp arithmetic
	  ... to avoid ending up with invalid (negative) duration.

2011-02-09 15:31:22 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/isomp4/qtdemux.c:
	  qtdemux: increase parse tolerance for fuzzy file cases

2011-12-12 10:38:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	  build: dist glib-compat-private.h properly
	  Add missing slash.

2011-12-12 10:18:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/souphttpsrc.c:
	  tests: use atexit, g_atexit has been deprecated in glib master

2011-12-12 02:52:13 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dv/gstdvdemux.c:
	* ext/flac/gstflacdec.c:
	* ext/wavpack/gstwavpackparse.c:
	* gst/avi/gstavidemux.c:
	* gst/flv/gstflvdemux.c:
	* gst/imagefreeze/gstimagefreeze.c:
	* gst/isomp4/gstqtmoovrecover.c:
	* gst/isomp4/qtdemux.c:
	* gst/matroska/matroska-demux.c:
	* gst/rtpmanager/gstrtpssrcdemux.c:
	* gst/rtsp/gstrtspsrc.c:
	* gst/videomixer/videomixer2.c:
	* gst/wavparse/gstwavparse.c:
	  Suppress deprecation warnings in selected files, for g_static_rec_mutex_* mostly
	  GStaticRecMutex is part of our API/ABI, not much we can do here
	  in 0.10 for most of these.

2011-12-12 02:41:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/souphttpsrc.c:
	* tests/icles/equalizer-test.c:
	* tests/icles/gdkpixbufsink-test.c:
	* tests/icles/test-oss4.c:
	* tests/icles/videocrop-test.c:
	  tests: g_thread_init() is deprecated in glib master
	  It's not needed any longer.

2011-12-12 02:38:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/soup/gstsouphttpclientsink.c:
	* gst/rtpmanager/gstrtpsession.c:
	* sys/oss4/oss4-mixer.c:
	* tests/icles/v4l2src-test.c:
	  Use g_thread_try_new() instead of g_thread_crate() with newer glib versions

2011-12-12 02:31:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/alpha/gstalpha.c:
	* gst/alpha/gstalpha.h:
	  alpha: use new glib API for static mutex if available

2011-12-12 02:30:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	* ext/jack/gstjackaudioclient.c:
	* ext/pulse/pulseaudiosink.c:
	* ext/pulse/pulsesink.c:
	* ext/soup/gstsouphttpclientsink.c:
	* gst-libs/gst/glib-compat-private.h:
	* gst/audiofx/audiochebband.c:
	* gst/audiofx/audiocheblimit.c:
	* gst/audiofx/audiofirfilter.c:
	* gst/audiofx/audioiirfilter.c:
	* gst/audiofx/audiowsincband.c:
	* gst/audiofx/audiowsinclimit.c:
	* gst/equalizer/gstiirequalizer.c:
	* gst/imagefreeze/gstimagefreeze.c:
	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/rtpsession.c:
	* gst/shapewipe/gstshapewipe.c:
	* gst/udp/gstmultiudpsink.c:
	* gst/videobox/gstvideobox.c:
	* gst/videocrop/gstaspectratiocrop.c:
	* gst/videomixer/videomixer.c:
	* gst/videomixer/videomixer2.c:
	* sys/oss4/oss4-mixer.c:
	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2xoverlay.c:
	* sys/ximage/gstximagesrc.c:
	  Work around deprecated thread API in glib master
	  Add private replacements for deprecated functions such as
	  g_mutex_new(), g_mutex_free(), g_cond_new() etc., mostly
	  to avoid the deprecation warnings. We'll change these
	  over to the new API once we depend on glib >= 2.32.

2011-12-12 10:24:45 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Require GLib >= 2.24
	  All other modules require this already and nobody is testing with
	  older versions anyway.

2011-12-11 18:40:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/gdk_pixbuf/gstgdkpixbufsink.c:
	  gdkpixbufsink: fix inverted pixel-aspect-ratio
	  Spotted by Mike Morrison.
	  https://bugzilla.gnome.org/show_bug.cgi?id=665882

2011-12-11 17:55:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/pulse/pulseaudiosink.c:
	  pulseaudiosink: don't leak pad template

2011-12-10 15:13:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst/deinterlace/tvtime-dist.c:
	* gst/videobox/gstvideoboxorc-dist.c:
	* gst/videomixer/blendorc-dist.c:
	* po/eo.po:
	* win32/common/config.h:
	  0.10.30.2 pre-release

2011-12-10 14:48:57 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/soup/gstsouphttpclientsink.c:
	  soup: fix start/stop race in souphttpclientsink
	  Fix crash or hang in generic/states unit test when doing stop()
	  right after start(). Create main loop in the start function already
	  and not just in the thread function, so that stop() always has a
	  valid main loop to quit on. Also, calling g_main_loop_quit() before
	  g_main_loop_run() won't work and result in the stop function waiting
	  for the thread to join forever. Therefore, wait for the thread to
	  be ready and get the main loop running in the start() function, to
	  be sure stop() always works.

2011-12-10 13:35:08 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/files/Makefile.am:
	  tests: dist test file used in matroskaparse unit test

2011-12-10 12:32:32 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/rgvolume.c:
	  tests: fix up rgvolume test for basetransform event caching
	  Some tests assumed that tag events would always pushed through
	  immediately, which isn't the case any longer, so push a newsegment
	  event and an empty buffer first.

2011-12-10 02:21:02 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/eo.po:
	* po/ja.po:
	* po/lv.po:
	* po/sr.po:
	  po: update translations

2011-12-09 15:50:28 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: don't leak client name when freeing the element
	  And add gtk-doc chunks for the new property.
	  https://bugzilla.gnome.org/show_bug.cgi?id=665872

2011-12-09 15:45:03 +0000  Nicolas Baron <hoggins@radiom.fr>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosink.h:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackaudiosrc.h:
	  jack: add "client-name" property to jackaudiosink and jackaudiosrc
	  https://bugzilla.gnome.org/show_bug.cgi?id=665872

2011-12-08 11:00:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroskamux: stream-format=raw goes with aac caps, not mp3 caps

2011-12-02 12:07:24 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: do not ignore the highest frame interval
	  https://bugzilla.gnome.org/show_bug.cgi?id=665387

2011-12-02 11:59:03 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: do not ignore the largest resolution
	  The 'max' value isn't an STL style "one after the end" bound,
	  but the largest allowed value.
	  https://bugzilla.gnome.org/show_bug.cgi?id=665387

2011-12-06 16:47:25 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/multifile/gstmultifilesink.h:
	  docs: add add the two enum values that were just added too

2011-12-06 16:14:54 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/multifile/gstmultifilesink.h:
	  multifilesink: expose the enum property docs for splitting mode.
	  Fixes #665666.

2011-12-05 12:15:21 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: replace deprecated GST_CLASS_LOCK

2011-11-24 13:58:01 +0100  Sebastian Rasmussen <sebrn@axis.com>

	* gst/rtp/gstrtpjpegpay.c:
	  rtpjpegpay: Ceil jpeg dimensions, instead of floor
	  A JPEG image inside an RTP stream has a preceeding RFC2435 header that
	  conveys width/height. The dimensions in this header are limited to be
	  multiples of 8. Since JPEG uses an MCU of 8x8 pixels any image must
	  already indirectly have image data dimensions that are rounded up in
	  order to contain enough data to render the image. Therefore this fix
	  safely rounds the image dimensions in the RFC2435 header up to the
	  closest multiple of 8.

2011-12-04 12:50:57 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/audioparsers/gstflacparse.c:
	* gst/audioparsers/gstflacparse.h:
	  flacparse: ensure we only check for sample/block mixup at start
	  Otherwise we might trigger at some point within the file, but the
	  check is only making sense for the second block.

2011-12-03 18:14:59 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/matroska/matroska-parse.c:
	  matroskaparse: warn if accumulating headers after they were pushed
	  https://bugzilla.gnome.org/show_bug.cgi?id=665412

2011-10-25 12:54:43 -0700  David Schleef <ds@schleef.org>

	* gst/matroska/matroska-parse.c:
	  matroskaparse: fix parsing
	  Mark more parts as belonging to streamheaders.

2011-12-03 17:30:10 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/flv/gstflvdemux.c:
	  flvdemux: fix discontinuity threshold check when timestamps go backwards
	  Since unsigned types are used, a negative value would show as very, very
	  positive.
	  Fixes A/V sync on some... less than well made files where timestamps go
	  backwards.

2011-12-02 12:01:22 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* sys/v4l2/gstv4l2object.c:
	  v4l2src: add a comment about a "hidden" assumption on rank values
	  https://bugzilla.gnome.org/show_bug.cgi?id=665387

2011-12-01 14:13:05 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: fix up LIBS order som more`

2011-12-01 13:22:42 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: fix name of new property and the unit test
	  https://bugzilla.gnome.org/show_bug.cgi?id=654379

2011-09-25 14:57:56 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstmultifilesink.c:
	  multifilesink: add basic buffer list handling
	  We assume for now that all buffers in a buffer list
	  should end up in the same file (so we can group GOPs
	  in buffer lists, for example). Could optimise this
	  a bit to avoid the memcpy.

2011-09-23 18:43:35 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstmultifilesink.c:
	  multifilesink: write stream-headers when switching to the next file in max-size mode

2011-09-23 18:31:01 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	  multifilesink: add new 'max-size' mode for switching to the next file

2011-09-23 17:49:05 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	  multifilesink: add "max-file-size" property for new next-file mode

2011-12-01 13:38:06 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Don't forget SSA subtitles in last commit

2011-12-01 13:34:52 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.h:
	  matroskademux: Only check for markup and escape if necessary for plaintext subtitles
	  Otherwise we break USF and ASS/SSA subtitles.

2011-12-01 13:23:33 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gst/multifile/Makefile.am:
	  multifile: fix build in uninstalled setup
	  Add -base libs includes to CFLAGS, fix order of LIBS <cit>.

2011-12-01 13:08:01 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* tests/check/elements/multifile.c:
	  tests: fix g_mkdtemp presence check in multifile tests
	  g_mkdtemp was added in glib 2.30 even though the doc claims it was added in
	  2.26.

2011-07-17 23:56:04 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gst/multifile/Makefile.am:
	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	* tests/check/Makefile.am:
	* tests/check/elements/multifile.c:
	  multifilesink: add flag to cut after a force key unit event

2011-12-01 12:47:26 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Copy all buffer flags when creating a subtitle buffer copy after postprocessing
	  This also copies the caps. Otherwise we could end up pusing
	  the first buffer without any caps, which causes downstream
	  to not get notified about the caps.
	  Fixes bug #664892.

2011-10-11 02:07:13 +0200  Alexey Fisher <bug-track@fisher-privat.net>

	* gst/matroska/matroska-mux.c:
	  matroskamux: make default framerate optional per stream
	  there is at least two use cases where default frame rate
	  should or may be disabled:
	  - vp8 stream with altref frame enabled. If default frame rate
	  is enabled, some players will missinterprete it (critical!)
	  - for webm container, to reduce micro overhead
	  - for stream with variable frame rate.
	  Signed-off-by: Alexey Fisher <bug-track@fisher-privat.net>

2011-11-30 22:13:11 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/effectv/gstripple.c:
	  rippletv: fix CLAMP end-values

2011-11-30 19:25:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-esdsink.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gstrtpmanager.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-monoscope.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	  docs: update docs

2011-11-30 19:00:42 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/Makefile.am:
	* gst/multifile/gstsplitfilesrc.c:
	* gst/multifile/patternspec.c:
	* gst/multifile/patternspec.h:
	  splitfilesrc: specify filenames via normal wildcards instead of regular expressions
	  Less cracktastic in the end.

2011-10-10 18:28:11 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstsplitfilesrc.c:
	  splitfilesrc: check bytes actually read, just in case
	  Handle corner case where we try to read beyond the end of the
	  last file part, in which case we want to return a short read.
	  If we get fewer bytes than expected for any other file part,
	  we should just error out, since something fishy's going on
	  then.

2011-10-06 08:33:19 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/multifile/gstsplitfilesrc.c:
	  splitfilesrc: set offsets on buffers
	  Looks like some parsers (in some versions at least) expect the
	  offsets to be set, and behave weird if that's not the case
	  (e.g. off-by-one in h264parse).

2011-07-28 20:19:56 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst/multifile/Makefile.am:
	* gst/multifile/gstmultifile.c:
	* gst/multifile/gstsplitfilesrc.c:
	* gst/multifile/gstsplitfilesrc.h:
	  multifile: add splitfilesrc element
	  Add new splitfilesrc element that presents multiple files
	  (selectable via a location regex) as one single contiguous
	  file.

2011-11-29 17:34:10 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* ext/pulse/pulseaudiosink.c:
	  Revert "pulseaudiosink: fix caps leak"
	  This reverts commit d6a9de9e2aedc8b66ab3219902b5a37e8d65ada2.
	  setcaps functions aren't supposed to take ownership of the caps passed

2011-11-28 12:58:44 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/aalib/gstaasink.c:
	* ext/annodex/gstcmmldec.c:
	* ext/annodex/gstcmmlenc.c:
	* ext/cairo/gstcairooverlay.c:
	* ext/cairo/gstcairorender.c:
	* ext/cairo/gsttextoverlay.c:
	* ext/cairo/gsttimeoverlay.c:
	* ext/dv/gstdvdec.c:
	* ext/dv/gstdvdemux.c:
	* ext/esd/esdmon.c:
	* ext/esd/esdsink.c:
	* ext/flac/gstflacdec.c:
	* ext/flac/gstflacenc.c:
	* ext/flac/gstflactag.c:
	* ext/gconf/gstswitchsink.c:
	* ext/gconf/gstswitchsrc.c:
	* ext/gdk_pixbuf/gstgdkpixbuf.c:
	* ext/gdk_pixbuf/gstgdkpixbufsink.c:
	* ext/gdk_pixbuf/pixbufscale.c:
	* ext/hal/gsthalaudiosink.c:
	* ext/hal/gsthalaudiosrc.c:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jpeg/gstjpegdec.c:
	* ext/jpeg/gstjpegenc.c:
	* ext/jpeg/gstsmokedec.c:
	* ext/jpeg/gstsmokeenc.c:
	* ext/libcaca/gstcacasink.c:
	* ext/libmng/gstmngdec.c:
	* ext/libmng/gstmngenc.c:
	* ext/libpng/gstpngdec.c:
	* ext/libpng/gstpngenc.c:
	* ext/mikmod/gstmikmod.c:
	* ext/pulse/pulseaudiosink.c:
	* ext/pulse/pulsesink.c:
	* ext/pulse/pulsesrc.c:
	* ext/raw1394/gstdv1394src.c:
	* ext/raw1394/gsthdv1394src.c:
	* ext/shout2/gstshout2.c:
	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpsrc.c:
	* ext/speex/gstspeexdec.c:
	* ext/speex/gstspeexenc.c:
	* ext/taglib/gstapev2mux.cc:
	* ext/taglib/gstid3v2mux.cc:
	* ext/taglib/gsttaglibmux.c:
	* ext/wavpack/gstwavpackdec.c:
	* ext/wavpack/gstwavpackenc.c:
	* ext/wavpack/gstwavpackparse.c:
	* gst/alpha/gstalpha.c:
	* gst/alpha/gstalphacolor.c:
	* gst/apetag/gstapedemux.c:
	* gst/audiofx/audiopanorama.c:
	* gst/audioparsers/gstaacparse.c:
	* gst/audioparsers/gstac3parse.c:
	* gst/audioparsers/gstamrparse.c:
